跳到主要内容

期货F10历史指标

期货 F10 历史指标提供指定品种和指标在日期范围内的历史数据

该能力暂未开放外部接入相关数据能力将在后续版本接入同花顺AI客户端,当前版本暂不可使用本项目数据,敬请期待。
前往同花顺AI客户端 ↗
通用约定
  • Base URLhttps://fuyao.aicubes.cn
  • 本页接口结构用于说明计划接入同花顺AI客户端的数据契约,当前不作为外部接入入口。
  • 接口返回统一 ApiResponse 信封;ISO 日期按 Asia/Shanghai 解释,Unix 时间戳为毫秒。
  • 指标列表每次最多 5 项;金融数值与日期可为 null,合法无数据返回空数组。
指标字典

期货 F10 历史指标字典 ↗ 选择指标 ID,并以英文逗号分隔后传入 indicator_ids。该静态 Markdown 文件可直接打开或另存下载。

GET /api/futures/fundamentals/indicators-historical

请求参数

参数类型必需默认值说明
indicator_idsstring1~5 个逗号分隔的指标 ID。
start_datestring开始日期,格式 yyyy-MM-dd
end_datestring结束日期,不早于开始日期,区间最长 5 年。

请求示例

以下命令仅展示接口路径与参数格式,当前不可用于外部调用。

curl 'https://fuyao.aicubes.cn/api/futures/fundamentals/indicators-historical?indicator_ids=2825232,2825233&start_date=2026-01-01&end_date=2026-09-01'

响应示例

{
"code": 0,
"message": "success",
"request_id": "request-id",
"data": {
"timestamp": 1789036800000,
"item": [
{
"indicator_id": "2825232",
"observations": [
{
"date": "2026-08-28",
"value": 50
}
]
}
]
}
}

返回字段

字段类型说明
timestamplong数据时间。
item[]array指标列表;每项含可空 indicator_id 与非空 observations[]
observations[].date / valuestring | null / number | null观察日期与数值。